package models

import (
	"time"
)

type CmQualityAudit struct {
	Id            int       `xorm:"not null pk autoincr comment('自增id') INT(11)"`
	QualityId     int       `xorm:"not null default 0 comment('质量巡检id') INT(11)"`
	BidsectionId  int       `xorm:"not null default 0 comment('标段id') INT(11)"`
	Times         int       `xorm:"not null default 1 comment('审核次数') INT(11)"`
	AuditId       int       `xorm:"not null default 0 comment('审核人id') INT(11)"`
	Status        int       `xorm:"default 0 comment('状态(0通过1退回2关闭)') INT(11)"`
	Progress      int       `xorm:"not null default 0 comment('审批进度(0上报人1审批2整改3复查)') TINYINT(1)"`
	CreateTime    time.Time `xorm:"comment('开始时间') DATETIME"`
	Opinion       string    `xorm:"comment('审批意见') VARCHAR(1024)"`
	Rectifiedinfo string    `xorm:"comment('整改情况') VARCHAR(1024)"`
}
